complexType "ExpectedCollateral"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount
</...>

Content Model Elements (3):

  segregatedIndependentAmount (in expectedCollateral in requestMargin),
  segregatedIndependentAmount (in expectedCollateral in requestMargin),
  variationMargin (in expectedCollateral in requestMargin)

All Direct / Indirect Based Elements (1):

  expectedCollateral (in requestMargin)

Known Usage Locations

- As direct type of elements (1):
  expectedCollateral (in requestMargin)

Annotation
Expected Collateral allows for the definition of collateral that the party making the margin call would prefer to receive or have returned. This can be defined for the Variation Requirement and /or the Segregated Independent Amount Requirement. For deliveries only the type of cash i.e. USD or security type i.e. US Treasuries is expected to be defined. For the return the calling party will know what they posted and therefore can define the expected collateral down to the specific instrument identifier, currency and amount.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExpectedCollateral"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="ExpectedCollateralDeliveryReturn"/> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="ExpectedCollateralDeliveryReturn"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="ExpectedCollateralDeliveryReturn"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
segregatedIndependentAmount

  Type: | ExpectedCollateralDeliveryReturn, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="ExpectedCollateralDeliveryReturn"/>

segregatedIndependentAmount

  Type: | ExpectedCollateralDeliveryReturn, complex content

  segregated independent amount part of the expected collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="segregatedIndependentAmount" type="ExpectedCollateralDeliveryReturn"/>

variationMargin

  Type: | ExpectedCollateralDeliveryReturn, complex content

  variation margin part of the expected collateral.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="variationMargin" type="ExpectedCollateralDeliveryReturn"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.